#
# Copyright (c) 2013-2023 NIBIO.
#
# This file is part of VIPSWeb 
# (see https://gitlab.nibio.no/VIPS/VIPSWeb).
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
#
#
from django.shortcuts import render
from django.conf import settings
from datetime import datetime
from dateutil.relativedelta import relativedelta

from forecasts.models import Model

# Create your views here.


def index(request):
    
    #forecast_configurations.sort(key=lambda x: x.date_start, reverse=False)
    context = {
               
               }
    return render(request, 'cerealblotchmodels/index.html', context)

def barleynetblotchform(request):
    
    # We must calculate the maximum sowing date, which is 14 days before
    # system date
    max_sowing_date = datetime.now() + relativedelta(months = settings.SYSTEM_TIME_OFFSET_MONTHS) - relativedelta(days = 14)
    vips_organization_id = settings.VIPS_ORGANIZATION_ID
    if request.GET.get("organizationId") != None:
        vips_organization_id = request.GET.get("organizationId")
    context = {
               "vips_organization_id": vips_organization_id,
               "form_id" : "barleyNetBlotchForm",
               "max_sowing_date" : max_sowing_date
               }
    return render(request, 'cerealblotchmodels/barleynetblotchform.html', context)

def septoriahumidityform(request):
    model = Model.get_model("SEPTORIAHU")
    context = {
               "form_id" : "septoriaHumidityForm",
               "model": model
               }
    return render(request, 'cerealblotchmodels/septoriahumiditymodelform.html', context)